Adds nodes before the node

- « DOMChildNode::after

- DOMChildNode::remove »

- PHP Manual
- DOMChildNode
- Adds nodes before the node

# DOMChildNode::before

(PHP 8)

DOMChildNode::before — Adds nodes before the node

### Description

public DOMChildNode::before(DOMNode|string `...$nodes`): void

Adds the passed `nodes` before the node.

### Parameters

`nodes`

  Nodes to be added before the node. Strings are automatically converted to text nodes.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_HIERARCHY_REQUEST_ERR`

  Raised if the parent is of a type that does not allow children of the type of one of the passed `nodes`, or if the node to put in is one of this node's ancestors or this node itself.

`DOM_WRONG_DOCUMENT_ERR`

  Raised if one of the passed `nodes` was created from a different document than the one that created this node.

### Changelog

Version | Description
--- | ---
8.3.0 | Calling this method on a node without a parent is now a no-op to align the behaviour with the DOM specification. Previously this threw a DOMException with code `DOM_HIERARCHY_REQUEST_ERR`.

### See Also

- DOMChildNode::after() - Adds nodes after the node
- DOMChildNode::remove() - Removes the node
- DOMChildNode::replaceWith() - Replaces the node with new nodes